Skip to main content
GET
/
api
/
credit-schedules
/
by-account
Get Credits by Account
curl --request GET \
  --url https://sbx.api.easybilling.cloud/billing/api/credit-schedules/by-account \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "024552b9-891c-49d6-a481-2ed4f54f227b",
    "bucketId": "cce67985-5b06-486d-97fe-0c3d08ddd576",
    "bucketStatus": "active",
    "accountId": "76861aa5-fe22-4e28-8de0-9f23a7ce56e3",
    "contractId": "3439f2d7-1485-4daf-907c-0085bff45274",
    "contractSegmentId": "dcffea1c-8aa1-4938-9d8d-46e9a01448e0",
    "originalTotalBalance": 20000,
    "totalBalance": 20000,
    "remainingBalance": 17500,
    "uom": "Token",
    "sourceItemId": "c85f99d8-0bd8-425c-872d-705107f11f54",
    "validFrom": "2026-04-01",
    "validTo": "2026-05-01",
    "bucketType": "resource-based-credit"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

trace-id
string

Query Parameters

accountId
string
required

Response

Found the Buckets

id
string

Unique identifier

accountId
string

Account identifier

contractId
string

Contract identifier

contractSegmentId
string

Contract segment identifier

bucketId
string
totalBalance
number<double>

Total balance

originalTotalBalance
number<double>
remainingBalance
number<double>

Remaining balance

uom
string

Unit of measure for resource-based-credit; currency for currency-based-credit

validFrom
string<date>

Valid from date

Example:

"2026-03-05"

validTo
string<date>

Valid to date

Example:

"2026-04-05"

bucketType
enum<string>

Type

Available options:
resouce-based-credit,
currency-based-credit
status
string
sourceItemId
string